#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		pnum		2
%define		__python	/usr/bin/python%{pnum}
%define		lname		%(echo %{name} | tr '[:upper:]' '[:lower:]')
#-----------------------------------------------------------------------------
Name		:	qBittorrent
Version		:	4.4.2
Release		:	14.8.0.0%{?dist}
Summary		:	A bittorrent client programmed in C+
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/qbittorrent/qBittorrent

Source0		:	%{name}-release-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	boost
BuildRequires	:	libtorrent-rasterbar
BuildRequires	:	openssl-devel
BuildRequires	:	qt
BuildRequires	:	zlib
BuildRequires	:	pkg-config
BuildRequires	:	%{__python}

Requires	:	libtorrent-rasterbar

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
'%{name}' is a bittorrent client programmed in C++ / Qt
that uses libtorrent (sometimes called libtorrent-rasterbar)
by Arvid Norberg.

It aims to be a good alternative to all other bittorrent
clients out there. qBittorrent is fast, stable and provides
unicode support as well as many features.

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{name}-release-%{version}

#-----------------------------------------------------------------------------
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-systemd				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{?_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	INSTALL_ROOT=%{buildroot}			\
	install

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{lname}
%{_datadir}/applications/org.%{lname}.%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{lname}.png
%{_datadir}/icons/hicolor/*/status/%{lname}-tray.png
%{_datadir}/icons/hicolor/scalable/status/%{lname}-tray*.svg
%{_datadir}/icons/hicolor/scalable/apps/%{lname}.svg
%{_datadir}/metainfo/org.%{lname}.%{name}.appdata.xml
%{_datadir}/pixmaps/%{lname}.png
%{_mandir}/man1/%{lname}.1.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor
  %{_bindir}/update-desktop-database 2> /dev/null
  fi

#-----------------------------------------------------------------------------
%post
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor

#-----------------------------------------------------------------------------
%changelog
